Subject: Re: [bug#74135] [PATCH 1/2] gnu: Improve emacs-popwin definition.

From: Nicolas Goaziou <[email-masked]>
Date: Fri, 01 Nov 2024 15:28:14 +0100

Hello,

Rostislav Svoboda <[email-masked]> writes:

> gnu/packages/emacs-xyz.scm (emacs-popwin): No need to switch off tests during
> build and no native-inputs needed.

Thank you.

I disagree with the removal of "#:tests? #f". It is more meaningful than
simply omitting the keyword. It tells us that the package has tests, but
they are difficult or even impossible to run. Without the keyword, it
could as well mean: "I didn't bother to check if there are tests".
I have no opinion about the removal of native inputs.

I also think the change to version should go in the second patch.

Regards,
-- 
Nicolas Goaziou